set xlabel "nodes"
set ylabel "time in s"

plot [8:64] \
     'realtime.dat' using 1:2 title "integration balance" with lines
pause(-1)

plot [8:64] \
     'realtime.dat' using 1:3 title "integration" with lines, \
     'realtime.dat' using 1:4 title "recomposition" with lines, \
     'realtime.dat' using 1:5 title "synchronisation" with lines, \
     'realtime.dat' using 1:6 title "partitioning" with lines, \
     'realtime.dat' using 1:7 title "total time" with lines
pause(-1)

set ylabel "time in % of total runtime"

plot [8:64] [0:100] \
     'realtime.dat' using 1:(100.0*$3/$7) title "integration" with lines, \
     'realtime.dat' using 1:(100.0*$4/$7) title "recomposition" with lines, \
     'realtime.dat' using 1:(100.0*$5/$7) title "synchronisation" with lines, \
     'realtime.dat' using 1:(100.0*$6/$7) title "partitioning" with lines
pause(-1)
