set terminal postscript lw 1.7 20 color solid

set output "realtime-perc.eps"
set xlabel "number of nodes"
set ylabel "time in % of total runtime"

plot [8:64] [0:100] \
     'realtime.dat' using 1:(100.0*$3/$7) title "integration" with lines, \
     'realtime.dat' using 1:(100.0*$4/$7) title "recomposition" with lines, \
     'realtime.dat' using 1:(100.0*$5/$7) title "synchronisation" with lines

set output "realtime-tot.eps"
set ylabel "time in seconds"

plot [8:64] \
     'realtime.dat' using 1:3 title "integration" with lines, \
     'realtime.dat' using 1:4 title "recomposition" with lines, \
     'realtime.dat' using 1:5 title "synchronisation" with lines, \
     'realtime.dat' using 1:7 title "total time" with lines
